Subject: Re: RFC: New BGF 'LOOP' instruction

From: Hagen Paul Pfeifer <[email-masked]>
Date: Tue, 03 Aug 2010 11:03:21 +0200

On Mon, 02 Aug 2010 22:18:13 -0700 (PDT), David Miller wrote:

> Oh yeah, what is an iteration in your definition?  See this is why I

> totally refuse to add a looping construct to BPF.

> If you just check for a single loop hitting, the user will just use

> a chaining of two looping constructs.  And then three levels of

> indirection, then four, etc.  He can run up to just before exhasting

> the "iteration limit" of one loop, and branch to the next one, and

> so on and so forth.

I am aware of any problems caused by complex instructions. David, I was

rather curious to see an unrecognized and ground breaking instructions, I

don't wanted to scotch any (possible) improvement.

HGN